Skip to main content
POST
/
entities
/
asset
/
{asset_id}
/
event
/
intent
Asset Intent Update Event
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/asset/{asset_id}/event/intent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intent": {
    "energy_required_kwh": 123,
    "ready_by": "2023-11-07T05:31:56Z",
    "ready_by_local_time": "<string>",
    "energy_estimated": true,
    "may_charge_peak": false,
    "charging_mode": "maximise_charging_time"
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required

Body

application/json

This event should be triggered when the end user updates their charging preferences.

intent
Intent · object
required

Intent to charge the vehicle.

Response

Intent event successfully processed